/*  */
.page-form {
  margin: 30px auto;
  padding: 30px;
  background: var(--lightgray-2);
  border-radius: var(--border-radius);
}
.offcanvas-body .page-form {
  margin: 0;
  padding: 15px;
  border-radius: var(--border-radius-0);
  box-shadow: none;
}
.forgot-password {
  margin-bottom: 10px;
  text-align: right;
}
.form {}
.form .column {
  display: flex;
  flex-direction: row;
  column-gap: 15px;
  row-gap: 15px;
  margin: 0 0 20px 0;
  width: 100%;
}
.form .column.button-area {
  justify-content: center;
}
.form-input {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  width: 100%;
}
.form-img {
  position: relative;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  width: 100%;
}
.form-input.form-float {
  transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1);
}
.form-input label, .form-input .form-label, .form-label {
  margin: 0 0 7px 0;
  padding: 0;
  font-size: var(--text-16);
  font-weight: 400;
  color: var(--black);
  line-height: 1.5;
}
.form-input label span, .form-input .form-label span, .form-label span {
  color: var(--grapefruit-1);
}
.form-input.form-float label {
  position: absolute;
  left: 9px;
  top: 12px;
  margin: 0;
  padding: 0 7px;
  pointer-events: none;
  background-color: #fff;
  transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1);
  z-index: 1;
}
.form-input input {
  position: relative;
  padding: 7px 16px 5px 16px;
  width: 100%;
  background-color: var(--white);
  border: 1px solid var(--border-line);
  border-radius: var(--border-radius);
  font-size: var(--text-16);
  font-weight: 400;
  color: var(--black);
  line-height: 26px;
  outline: none;
}
.form-input textarea {
  padding: 7px 16px 5px 16px;
  width: 100%;
  background-color: var(--white);
  border: 1px solid var(--border-line);
  border-radius: var(--border-radius);
  transition: all .2s cubic-bezier(.165, .84, .44, 1);
  font-size: var(--text-16);
  font-weight: 400;
  color: var(--black);
  line-height: 26px;
  outline: none;
}
.form-input select {
  position: relative;
  padding: 7px 16px 5px 16px;
  width: 100%;
  background-color: var(--white);
  border: 1px solid var(--border-line);
  border-radius: var(--border-radius);
  font-size: var(--text-16);
  font-weight: 400;
  color: var(--black);
  line-height: 26px;
  outline: none;
}
.form-input.form-float input, .form-input.form-float textarea {
  padding-top: 25px;
  transition: all 0.2s cubic-bezier(0.165, 0.84, 0.44, 1);
  line-height: 25px;
}
.form .form-text {
  margin-top: 5px;
  font-size: var(--text-12);
  color: var(--darkgray-1)
}
.form .form-text-show {
  position: relative;
  margin-top: 5px;
  padding: 7px 16px 5px 16px;
  width: 100%;
  background-color: var(--mediumgray-1);
  border: 1px solid var(--mediumgray-2);
  border-radius: var(--border-radius);
  font-size: var(--text-16);
  color: var(--black);
  line-height: 26px;
}
.form-input .plaintext {
  position: relative;
  padding: 7px 16px 5px 16px;
  width: 100%;
  background-color: var(--mediumgray-1);
  border: 1px solid var(--mediumgray-2);
  border-radius: var(--border-radius);
  font-size: var(--text-16);
  font-weight: 400;
  color: var(--black);
  line-height: 26px;
}
.form-input .readonly {
  background-color: var(--lightgray-2);
  border: none;
  border-bottom: 1px solid var(--border-line);
}
.form-input .disabled {
  background-color: var(--lightgray-2);
}
.form-input-icon {
  position: relative;
  width: 100%;
}
.form-input-icon.icon-right { }
.form-input-icon .input-icon {
  position: relative;
  padding-left: 42px;
}
.form-input-icon.icon-right .input-icon {
  padding-left: 16px;
  padding-right: 42px;
}
.form-input-icon i {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 16px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;  
}
.form-input-icon.icon-right i {
  left: unset;
  right: 16px;
}
.form-check-box {
  position: relative;
  margin-bottom: 20px;
  text-align: left;
}
.form-check-box.box-column {
  width: 50%;
}
.form-check-box .form-input {
  margin-bottom: 0;
}
.form-check {
  position: relative;
  margin-bottom: 0;
  padding-left: 36px;
}
.form-check .form-check-input {
  position: absolute;
  top: 2px;
  cursor: pointer;
}
.form-check-input:checked {
  background-color: var(--grapefruit-1);
  border-color: var(--grapefruit-1);
}
.form-check label {
  font-size: var(--text-16);
  font-weight: 400;
  color: var(--black);
  line-height: 1.5;
}
.form-check .form-check-input:focus {
  outline: none;
  box-shadow: none;
}
.input-yearmonth {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.input-yearmonth .rowinside {
  flex: 1;
}
.form-input input:focus, .form-input textarea:focus, .form-input select:focus {
  border-color: var(--grapefruit-1);
  box-shadow: unset;
}
.form-input.form-float input:focus ~ label, .form-input.form-float input:valid ~ label, .form-input.form-float textarea:focus ~ label, .form-input.form-float textarea:valid ~ label {
  transform: translateY(-18px);
  font-size: var(--text-14);
  color: var(--darkgray-1);
}
.form-input .plaintext:focus, .form-input .readonly:focus, .form-input .disabled:focus {
  border-color: var(--mediumgray-2);
  box-shadow: unset;
}
.main-form {
  margin: 0 auto;
  padding: 30px;
  background: var(--lightgray-2);
  border-radius: var(--border-radius);
}
.title-form {
  position: relative;
  margin-bottom: 20px;
  font-size: var(--text-22);
  font-weight: 400;
  line-height: 36px;
  color: var(--black);
}
@media (max-width: 575px) {
  .form .column {
    flex-direction: column;
  }
}
.main-form.form-search {
  padding: 20px;
}
.form-search .form {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  column-gap: 15px;
  row-gap: 15px;
}
.form-search .form .column {
  margin: 0 0 0 15px;
}
.form-search .form .column:first-child {
  margin: 0;
}
.form-search .form .column .form-input {
  flex-direction: row;
  flex: 1;
  align-items: baseline;
}
.form-search .form .column .form-input label {
  margin: 0 10px 0 0;
  width: 90px;
}
.form-search .form .column.button-area {
  flex: 1;
  justify-content: flex-end;
  margin: 0 0 0 15px;
}
.main-form.form-search-data {
  padding: 20px;
}
.form-search-data .form {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  column-gap: 15px;
  row-gap: 15px;
}
.form-search-data .form .row-form {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  column-gap: 15px;
  row-gap: 15px;
  width: 100%;
}
.form-search-data .form .row-form .column {
  margin: 0 0 0 15px;
}
.form-search-data .form .row-form .column:first-child {
  margin: 0;
}
.form-search-data .form .column .form-input {
  flex-direction: row;
  flex: 1;
  align-items: baseline;
}
.form-search-data .form .column .form-input label {
  margin: 0 10px 0 0;
  width: 90px;
}
.form-search-data .form .column.button-area {
  flex: 1;
  justify-content: flex-end;
  margin: 0 0 0 15px;
}
.modal-content {
  background-color: transparent;
  border: none;
  border-radius: var(--border-radius);
}
.modal .modal-content .page-form {
  margin: 0;
  width: 100%;
  background-color: var(--white);
}
.modal .modal-content .btn-close {
  position: absolute;
  top: 30px;
  right: 30px;
  z-index: 99;
  outline: none;
  box-shadow: none;
}
.form-input-rating {
  position: relative;
  margin-bottom: 15px;
  overflow: hidden;
}
.form-input-rating:before {
  position: absolute;
  top: 50%;
  left: 5px;
  content: "ให้คะแนน : ";
  font-size: var(--text-14);
  color: var(--color-heading);
  transform: translateY(-50%);
}
.input-rating {
  margin-left: 70px;
  float: left;
  border: none;
}
.input-rating > input {
  display: none;
} 
.input-rating > label:before {
  display: inline-block;
  margin: 5px;
  font-family: "Font Awesome 6 Free";
  content: "\f005";
  font-size: var(--text-20);
  font-weight: 700;
  line-height: 1;
}
.input-rating > .half:before {
  position: absolute;
  content: "\f089";
  font-weight: 700;
}
.input-rating > label {
  float: right;
  color: var(--lightgray-2);  
}
.input-rating > input:checked ~ label, .input-rating:not(:checked) > label:hover, .input-rating:not(:checked) > label:hover ~ label {
  color: var(--sunflower-1);
} 
.input-rating > input:checked + label:hover, .input-rating > input:checked ~ label:hover, .input-rating > label:hover ~ input:checked ~ label, .input-rating > input:checked ~ label:hover ~ label {
  color: var(--sunflower-2);
}
.blog-mypage {
  margin: 0 0 30px 0;
}
.mypage-header {
  position: relative;
  margin: 0 0 50px 0;
  padding: 0;
  width: 100%;
  height: 100px;
  background: rgb(237,85,101);
  background: linear-gradient(135deg, rgba(237,85,101,0.65) 2%, rgba(252,110,81,0.65) 14%, rgba(255,206,84,0.65) 26%, rgba(160,212,104,0.65) 38%, rgba(72,207,173,0.65) 50%, rgba(79,193,233,0.65) 62%, rgba(93,156,236,0.65) 74%, rgba(172,146,236,0.65) 86%, rgba(236,135,192,0.65) 98%);
  border-radius: var(--border-radius);
}
.mypage-header .section-head {
  position: absolute;
  left: 160px;
  bottom: 15px;
}
.mypage-header .section-head .section-title {
  margin: 0;
  padding: 0;
  /*color: var(--whtie);*/
}
.mypage-avatar {
  position: absolute;
  top: 25px;
  left: 25px;
}
.row-profile {
  margin: 0 auto;
  max-width: 120px;
  width: 100%;
}
.row-inside {
  position: relative;
  width: 100%;
}
.circle {
  width: 120px;
  height: 120px;
  border-radius: var(--border-radius);
  box-shadow: var(--box-shadow);
  overflow: hidden;
}
.profile-pic {
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  min-width: 1%;
  max-width: 100%;
  height: auto; 
  border-radius: var(--border-radius);
}
.file-upload {
  /*display: none;*/
  position: absolute;
  padding: 0 !important;
  width: 36px !important;
  height: 36px !important;
  border-bottom: none !important;
  opacity: 0;
  overflow: hidden;
  z-index: 1;
  line-height: 36px !important;
}
.file-upload + label {
  display: inline-block !important;
  margin-bottom: 0 !important;
  padding-top: 0 !important;
  width: 36px !important;
  height: 36px !important;
  background-color: var(--lightgray-2);
  border-radius: 9999px;
  white-space: nowrap;
  overflow: hidden;
  pointer-events: none;
  cursor: pointer;
  line-height: 36px !important;
  text-align: center;
  color: var(--darkgray-1);
  font-weight: bold !important;
}
.file-upload + label i {
  display: block;
  font-size: 18px;
  line-height: 36px;
}
.p-image {
  position: absolute;
  bottom: -20px;
  right: -10px;
  transition: all .3s cubic-bezier(.175, .885, .32, 1.275);
}
.p-image:hover {
  transition: all .3s cubic-bezier(.175, .885, .32, 1.275);
}
.form-mypage {
  padding: 25px 45px;
}
.form-mypage .form-input .plaintext {
  background-color: var(--lightgray-2);
  border: 1px solid var(--lightgray-2);
}
.form-mypage .form-check-box {
  margin-bottom: 0;
}
.form-mypage .form-input .plaintext:focus {
  background-color: var(--lightgray-2);
  border: 1px solid var(--lightgray-2);
  box-shadow: unset;
}
.form-mypage .mypage-inside {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  column-gap: 20px;
  margin: 0 0 20px 0;
}
.form-mypage .mypage-inside .mypage-label {
  width: 180px;
}
.form-mypage .mypage-inside .mypage-input {
  flex: 1;
  width: 100%;
}
.form-mypage .mypage-inside .mypage-input .mypage-row {
  display: flex;
  flex-direction: row;
  column-gap: 20px;
}
.form-new-mytrip {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}
.form.form-new-mytrip .column.button-area {
  justify-content: flex-end;
  flex: 1;
  margin-left: 20px;
}